from django.contrib import admin
from .models import Evento, Reserva, ListaEspera, Noticia


class NoticiaAdmin(admin.ModelAdmin):
    list_display = ['titulo', 'fecha_publicacion', 'autor']


admin.site.register(Noticia, NoticiaAdmin)


class EventoAdmin(admin.ModelAdmin):
    list_display = ['nombre', 'fecha', 'plazas_disponibles', 'url_imagen']
    list_filter = ['publicado', 'fecha']
    search_fields = ['titulo', 'descripcion']


admin.site.register(Evento, EventoAdmin)
admin.site.register(Reserva)
admin.site.register(ListaEspera)
